%define         majver    %(echo %version | cut -d. -f1-2)
%define         langname  libgtop-2.0

Name:           libgtop10
Version:        2.36.0
Release:        2mamba
Summary:        A library that fetches information about the running system
Group:          System/Libraries
Vendor:         openmamba
Distribution:   openmamba
Packager:       Silvan Calarco <silvan.calarco@mambasoft.it>
URL:            http://www.gnome.org/
Source:         http://ftp.gnome.org/pub/gnome/sources/libgtop/%{majver}/libgtop-%{version}.tar.xz
License:        GPL
## AUTOBUILDREQ-BEGIN
BuildRequires:  glibc-devel
BuildRequires:  libglib-devel
BuildRequires:  libselinux-devel
BuildRequires:  libXau-devel
## AUTOBUILDREQ-END
Requires(post): %{__install_info}
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
A library that fetches information about the running system such as CPU and memory useage, active processes and more.
On Linux systems, this information is taken directly from the /proc filesystem while on other systems a server is used to read that information from other /dev/kmem, among others.

%package -n %{name}-devel
Summary: 	Static libraries and headers for %{name}
Group: 		Development/Libraries
Requires: 	%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{name}-devel
Install this package if you wish to develop applications that access information on system statistics such as CPU and memory usage.

%prep
%setup -q -n libgtop-%{version}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang libgtop

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
%install_info %{name}2.info
:

%preun
/sbin/ldconfig
%uninstall_info %{name}2.info
:

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/GTop-2.0.typelib
%doc AUTHORS COPYING

%files devel -f libgtop.lang
%defattr(-,root,root)
%dir %{_includedir}/libgtop-2.0
%{_includedir}/libgtop-2.0/*.h
%dir %{_includedir}/libgtop-2.0/glibtop
%{_includedir}/libgtop-2.0/glibtop/*.h
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/libgtop/*
%{_datadir}/gir-1.0/GTop-2.0.gir
%{_infodir}/libgtop2.info.gz
%doc ChangeLog NEWS README

%changelog
* Mon Aug 27 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.36.0-2mamba
- legacy package

* Fri Jul 07 2017 Automatic Build System <autodist@mambasoft.it> 2.36.0-1mamba
- automatic version update by autodist

* Sat Sep 17 2016 Automatic Build System <autodist@mambasoft.it> 2.34.1-1mamba
- automatic update by autodist

* Sat Apr 09 2016 Automatic Build System <autodist@mambasoft.it> 2.34.0-2mamba
- automatic version update by autodist

* Sat Apr 09 2016 Automatic Build System <autodist@mambasoft.it> 2.34.0-1mamba
- automatic version update by autodist

* Fri Oct 09 2015 Automatic Build System <autodist@mambasoft.it> 2.32.0-2mamba
- automatic version update by autodist

* Fri Oct 09 2015 Automatic Build System <autodist@mambasoft.it> 2.32.0-1mamba
- automatic version update by autodist

* Tue Apr 29 2014 Automatic Build System <autodist@mambasoft.it> 2.30.0-1mamba
- automatic version update by autodist

* Thu Feb 20 2014 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 2.28.5-2mamba
- fix build for x86_64 architecture

* Sat Aug 24 2013 Automatic Build System <autodist@mambasoft.it> 2.28.5-1mamba
- update to 2.28.5

* Tue Aug 30 2011 Automatic Build System <autodist@mambasoft.it> 2.28.4-1mamba
- automatic version update by autodist

* Sun Mar 27 2011 Automatic Build System <autodist@mambasoft.it> 2.28.3-1mamba
- automatic update by autodist

* Tue Sep 28 2010 Automatic Build System <autodist@mambasoft.it> 2.28.2-1mamba
- automatic update to 2.28.2 by autodist

* Sun May 30 2010 Automatic Build System <autodist@mambasoft.it> 2.28.1-1mamba
- update to 2.28.1

* Thu Jan 08 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14.9-1mamba
- update to 2.14.9

* Mon May 12 2008 gil <puntogil@libero.it> 2.14.1-1mamba
- package created by autospec
